package app.revanced.patches.kakaotalk.changemodel

import app.revanced.patcher.extensions.InstructionExtensions.addInstructions
import app.revanced.patcher.patch.Package
import app.revanced.patcher.patch.bytecodePatch
import app.revanced.patcher.patch.stringOption
import app.revanced.patches.kakaotalk.changemodel.fingerprints.changeModelFingerprint

@Suppress("unused")
val changeModelPatch = bytecodePatch(
    name = "Change model",
    description = "Changes the device model to supporting subdevice features",
) {
    val changeModelOption = stringOption(
        "model", "SM-X926N"
    )

    compatibleWith("com.kakao.talk"("25.4.0"))

    execute {
        changeModelFingerprint.method.addInstructions(
            0,
            """
                const-string v0, "${changeModelOption.value}"
                return-object v0
            """.trimIndent()
        )
    }
}